|

Create a business

post/businesses
Creates a new business, optionally initializing with the provided vault data.

Request

Headers

x-external-id·

optional string

Optionally, this user's identifier in your own database. This will be associated with the user as their external_id, which is may be used in the future to look up a user in Footprint using your own user identifier. x-external-id must be globally unique to your organization. Can only be composed of alphanumeric characters, underscores, hyphens, and periods. Note, if x-external-id is provided, initial data may not be specified in the HTTP body.
x-sandbox-id·

optional string

When provided, creates a sandbox user with the provided sandbox ID. Sandbox IDs allow you to create multiple users with the same contact info. In order to log in using an existing sandbox user, you can provide its Sandbox ID in the Footprint flow.

Body

·

optional

Key-value map of data to add to the business's vault. For more documentation on available keys, see here.
<key>·

string

Allowed values:

business.namebusiness.dbabusiness.websitebusiness.phone_numberbusiness.tinbusiness.address_line1business.address_line2business.citybusiness.statebusiness.zipbusiness.countrybusiness.corporation_typebusiness.formation_statebusiness.formation_date
custom.*
<value>·

string | integer | boolean | object

Response

external_id·

optional string

id·

string

sandbox_id·

optional string

Only populated for users created in sandbox mode.
POST /businesses
1curl -X POST https://api.onefootprint.com/businesses \
2  -u sk_test_xxxxx: \
3  -d '{
4    "business.name": "Acme Bank",
5    "business.website": "acmebank.org",
6    "custom.account_id": "d0af81fc-41c2-46ca-8a8d-797b8e4d3146"
7  }'
Response example
{
  "external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
  "id": "fp_id_7p793EF07xKXHqAeg5VGPj",
  "sandbox_id": "WH8RkRCDSxCfH"
}